Bug 989865 - DIfferent behaviour when completing task in Grid / Day view
DIfferent behaviour when completing task in Grid / Day view
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ER2
: 6.0.0
Assigned To: Mauricio Salatino
Jan Hrcek
Depends On:
  Show dependency treegraph
Reported: 2013-07-30 01:41 EDT by Jan Hrcek
Modified: 2014-08-06 16:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:11:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Steps to reproduce - video (5.19 MB, video/webm)
2013-07-30 01:41 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-07-30 01:41:50 EDT
Created attachment 780334 [details]
Steps to reproduce - video

Description of problem:
The console behaves differently when task is completed in Day view as opposed to Grid view.

When you click "Complete" (tick icon) for a task
- in Grid view the Form/Work dialog is popped up.
- in Day view the task is completed immediately without Form/Work dialog popping up (see video attached for steps to reproduce)

Version-Release number of selected component (if applicable):
kie-wb CR1 deployed on EAP 6.1

How reproducible:

Steps to Reproduce:
1. Go to task list and create 2 tasks.
2. Complete 1st task in grid view  - Work modal is popped up (with possibility to fill in form if the task has a form defined)
3. Complete 2nd task in Day view - task is immediately completed - no possiblitity to fill in the form.
Comment 1 Jan Hrcek 2013-07-31 01:41:20 EDT
Additional info: The same behaviour as in "Day" view can be observed in "Week" view. So the behavior should also be made the same in the Week view (Form/Work dialog should be brought up when clicking Complete for a task in Week view).

PS.: The problem doesn't exist in Month view, because that view doesn't enable Completing tasks - which is OK.
Comment 2 Mauricio Salatino 2013-07-31 04:20:41 EDT
Yes, my fault, I will fix this asap and I will push it for re-check
Comment 4 Jan Hrcek 2013-09-04 02:05:24 EDT
Verified with BPMS 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.